package de.valentin.colorconsistency.ToSwiftkey;

import android.content.Intent;
import android.graphics.Bitmap;
import android.widget.Toast;
import com.topjohnwu.superuser.io.SuFileInputStream;
import com.topjohnwu.superuser.io.SuFileOutputStream;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class SwiftkeyConnector {

    String themeHash = "custom_b7970643-093a-4a22-8620-de83079bb47d";
    int color;


    public SwiftkeyConnector(int color) {
        this.color = color;
    }

    public boolean writeFile(){
        try (OutputStream out = new SuFileOutputStream("/data/data/com.touchtype.swiftkey/files/custom_themes/"+themeHash +"/custom/original_background")) {

            int[] cls = {color};
            Bitmap myBitmap= Bitmap.createBitmap(cls,1,1,Bitmap.Config.ARGB_8888);


            myBitmap.compress(Bitmap.CompressFormat.JPEG, 100, out);

            return true;

        } catch (IOException e) {
            e.printStackTrace();
            return  false;
        }
    }

    public Intent getIntent(){
        Intent intent = new Intent("com.mayulive.swiftkeyexi.SET_THEME");
        intent.putExtra("THEME_HASH",themeHash);
        return intent;
    }


}
